package com.bzd.system.service.jkgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 合约提成发放失败明细 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SJkglCommissionrewardinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSJkglCommissionrewardinfo(PageData pd)throws Exception {
        return daoSupport.update("SJkglCommissionrewardinfoMapper.addSJkglCommissionrewardinfo", pd);
    }

    public List<PageData> findSJkglCommissionrewardinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SJkglCommissionrewardinfoMapper.selectSJkglCommissionrewardinfoList", pd);
    }

    public Integer SJkglCommissionrewardinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SJkglCommissionrewardinfoMapper.SJkglCommissionrewardinfoRemove", pd);
    }


    public Integer updateSJkglCommissionrewardinfo(PageData pd)throws Exception {
        return daoSupport.update("SJkglCommissionrewardinfoMapper.updateSJkglCommissionrewardinfo", pd);
    }

}
